﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Data;
using System.Data.Entity;

namespace DatabaseLayer
{
    public class DatabaseContext:DbContext
    {
        /// <summary>
        /// Inherited base constructor and passed connection strings
        /// </summary>
        public DatabaseContext()
            : base("databaseConnection")
        {

        }

        public DbSet<Person> Persons { get; set; }
        public DbSet<Contact> Contacts { get; set; }

    }
}
