﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.Data.Entity;

namespace DatabaseLayer
{
    public class DatabaseInitializer : DropCreateDatabaseIfModelChanges<DatabaseContext>
    {
        public void test(DatabaseContext context)
        {
            Seed(context);
        }
        protected override void Seed(DatabaseContext context)
        {
            var person = new List<Person>{
            new Person{FirstName="Dee", LastName="John", EmailID="test@sample.com",IsActive=true, CreatedDate=DateTime.Now},
            new Person{FirstName="Don", LastName="Bryan", EmailID="sample@sample.com",IsActive=true, CreatedDate=DateTime.Now}
            };

            person.ForEach(x => context.Persons.Add(x));
            context.SaveChanges();
        }
    }
}
